clear
close all

% load image
im_orig = imread('../Pics/parrot.jpg');

% encode
jpg = jpeg_encode(im_orig, 2, 30);

% decode
im_decoded = jpeg_decode(jpg);

% compute PSNR
PSNR = psnr(im_orig, im_decoded);

% plot results
figure;
subplot(1,2,1);
imshow(im_orig);
subplot(1,2,2);
imshow(im_decoded);
title(sprintf('PSNR = %.0f dB', PSNR));
