function usim = upsample(im, ratio, method)
%UPSAMPLE upsample image matrix
% USIM = UPSAMPLE(IM, RATIO, METHOD)  upsamples te image matrix IM by a
% sampling ratio RATIO. The sampling method is defined by argument METHOD
% that can be 'RECT' for rectangular smoothing and 'IDEAL' for ideal low
% pass filtering.

switch lower(method)
    case 'rect'
        
        error('upsample:unimplemented', ...
            'Unimplemented upsampling method: ''RECT''');
        
    case 'ideal'
        
        error('upsample:unimplemented', ...
            'Unimplemented upsampling method: ''IDEAL''');
        
    otherwise
        error('upsample:invalid_argument', ...
            'Invalid upsampling method: ''%s''', method);
end

end % of function
